Package it.ernytech.tdlib

## Class TdApi.ChatType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatType

Direct Known Subclasses:
  `TdApi.ChatTypeBasicGroup`, `TdApi.ChatTypePrivate`, `TdApi.ChatTypeSecret`, `TdApi.ChatTypeSupergroup`

Enclosing class:
  TdApi

    public abstract static class TdApi.ChatType
    extends TdApi.Object

This class is an abstract base class. Describes the type of a chat.

### Constructor Summary

Constructors
`ChatType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### ChatType

    public ChatType()